// import { getPage } from '@/api/getPageBySlug';
// import { notFound } from 'next/navigation';
// import AsyncPage from './AsyncPage';
// import { metaDataFactory } from '@/lib/metaDataFactory';

// interface Params {
//   params: {
//     slug: string;
//   };
// }

// // export const generateMetadata = metaDataFactory({
// //   apiMethod: getPageBySlug
// // });

// export default async function Page({ params }: Params) {
//   try {
//     await getPageBySlug({ slug: params.slug });
//   } catch {
//     return notFound();
//   }

//   return <AsyncPage slug={params.slug} />;
// }

import { getPage } from '@/api/getPage';
import { notFound } from 'next/navigation';

import { Suspense } from 'react';
import AsyncPage from './AsyncPage';

// interface Params {
//   params: Promise<{ slug: string }>;
// }

export default async function Page() {
  try {
    await getPage();
  } catch {
    return notFound();
  }

  return <AsyncPage />;
}
